> For the complete documentation index, see [llms.txt](https://docs.bunny.com/developer/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.bunny.com/developer/using-the-graphql-api/sending-a-graphql-request/billrun.md).

# billRun

**Scope required:** standard:read

For a complete list of possible response fields see the [BillRun](/developer/api-reference/types/billrun.md) type.

```graphql
query billRun ($id: ID, $code: String, $format: String) {
  billRun (id: $id, code: $code, format: $format) {
    accountsProcessed
    amountInvoiced
    billingDate
    currencyId
    endedAt
    entityId
    id
    invoiceSeqEnd
    invoiceSeqStart
    invoicesGenerated
    lastAccountId
    startedAt
    state
  }
}
```

## Arguments

| Name   | Type   | Description |
| ------ | ------ | ----------- |
| id     | ID     |             |
| code   | String |             |
| format | String |             |

## Response

* [BillRun](/developer/api-reference/types/billrun.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.bunny.com/developer/using-the-graphql-api/sending-a-graphql-request/billrun.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
